Subject: Re: [RFC] ARM: omap3: Enable HWMODS for HW Random Number Generator

From: Tony Lindgren <[email-masked]>
Date: Mon, 9 Sep 2019 09:35:43 -0700

* Pali Rohár <[email-masked]> [190909 13:41]:
> On Monday 09 September 2019 08:37:09 Adam Ford wrote:
> > I applied this on 5.3 and it is working.  I assume the same is true in for-next.

Hmm I noticed I stopped getting RNG data after several rmmod modprobe
cycles, or several hd /dev/random reads. Anybody else seeing that?

> > Do you want to submit a formal patch?  I  can mark it as 'tested-by'
> > This really helps speed up the startup sequence on boards with sshd
> > because it delays for nearly 80 seconds waiting for entropy without
> > the hwrng.
> 
> Hi! When applying a patch, could you please disable this rng for n900?
> 
> In omap3-n900.dts for rng should be status = "disabled" (as Tony already
> wrote), similarly like for aes.

Yeah I'll post a proper patch after -rc1.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel